<template>
  <div>
    <div id="mainpagecontent">
      <div id="homemsg">{{ shop.description }}</div>
      <div id="main">
        <div
          style="margin-left: 10px; margin-top: 44px;"
          class="left">
          <table id="RepairsInProgress">
            <thead>
              <tr>
                <th style="text-align: center;">Action Buttons</th>
              </tr>
            </thead>
          </table>
          <action-buttons
            :has-swiper="hasSwiper"
            :shop="shop"
            style="margin-left: 10px;" />
        </div>
        <div
          style="margin-right: 10px;"
          class="right">
          <h1 style="font-size: 3rem; text-align: center;">Recently Completed Repairs</h1>
          <table id="repairsComplete">
            <thead>
              <tr>
                <th style="width: 50%;">Vehicle</th>
                <th>Time Completed</th>
              </tr>
            </thead>
            <tbody id="vlistBody">
              <tr
                v-for="vehicle in allRepairedVehicles"
                :key="vehicle.id">
                <td>{{ vehicle.name }}</td>
                <td>{{ moment.utc(vehicle.created_at).local().format("h:mm a") }}</td>
              </tr>
            </tbody>
          </table>
        </div>
        <div class="clear"></div>
      </div>
    </div>
  </div>
</template>

<script>
import ActionButtons from '../ActionButtons.vue';
export default {
  components: {
    ActionButtons,
  },
  props: {
    shop: Object,
    hasSwiper: Boolean,
    allRepairedVehicles: Array
  }
}
</script>

